<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>ICICI Bank</title>
    <link rel="stylesheet" href="./index.css" />

    <link
      rel="shortcut icon"
      href="./71-718369_download-icici-bank-logo-hd-png-clipart.png"
      type="image/x-icon"
    />

    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      a
      integrity="sha384-iYQeCzEYFbKjA/T2uDLTpkwGzCiq6soy8tYaI1GyVh/UjpbCx/TYkiZhlZB6+fzT"
      crossorigin="anonymous"
    />
    <script>
      // function gen(){
        // let input1= document.getElementById("AtmNumIn").value;
        // let input2 = document.getElementById("month").value;
        // let input3 = document.getElementById("year").value;
        // let input4 = document.getElementById("cvv").value;
        // let input5 = document.getElementById("balance").value;
        
        // localStorage.setItem(value,input1)
        // localStorage.setItem("textvalue",input2);
        // localStorage.setItem("textvalue3",input3);
        // localStorage.setItem("textvalue4",input4);
        // localStorage.setItem("textvalue5",input5);
        // return false;
        // return false;



      // }
    </script>
   
  </head>
  <body>
 <div class="body">
  <h2>Welcome to ICICI bank</h2>
  <p>Please enter your card details Below..,</p>

  <!-- <form action="index2.html" style="height: 50vh;"> -->
  <div class="container-md">
    <div class="row">
      <div class="col col-lg-5">
        <div class="card" style="height: 50vh">
          <div class="card-body file">
            <!-- Card number -->
            <label for="AtmNum">Enter Your Card Number</label>
            <input
              type="number"
              name="CardNumber"
              
              placeholder="xxxx-xxxx-xxxx"
              id="AtmNumIn"
              class="card-number-input"
              oninput="if(this.value.length>=3){this.value=this.value.slice(0,13)}"
            />
            <br /><br />

            <!-- expiry date -->
            <div class="flexbox">
              <div class="inputBox">
                <span>Expiration MM</span>
                <select name="" id="month" class="month-input">
                  <option value="month" selected disabled>month</option>
                  <option value="01">01</option>
                  <option value="02">02</option>
                  <option value="03">03</option>
                  <option value="04">04</option>
                  <option value="05">05</option>
                  <option value="06">06</option>
                  <option value="07">07</option>
                  <option value="08">08</option>
                  <option value="09">09</option>
                  <option value="10">10</option>
                  <option value="11">11</option>
                  <option value="12">12</option>
                </select>
              </div>
              <br />
              <div class="inputBox">
                <span>Expiration YY</span>
                <select name="" id="year" class="year-input">
                  <option value="year" selected disabled >year</option>
                 
                  <option value="2023">2023</option>
                  <option value="2024">2024</option>
                  <option value="2025">2025</option>
                  <option value="2026">2026</option>
                  <option value="2027">2027</option>
                  <option value="2028">2028</option>
                  <option value="2029">2029</option>
                  <option value="2030">2030</option>
                  <option value="2030">2031</option>
                  <option value="2030">2032</option>
                </select>
              </div>
              <br />

              <!-- CVV -->
              <label for="CVV">Enter Your CVV</label>
              <input
                type="number"
                
                placeholder="Enter Your CVV Number"
                id="cvv"
                oninput="if(this.value.length>=0){this.value=this.value.slice(0,3)}"
              />
              <br /><br />

              <!--Balance amount-->
              <label for="BankBalance">Balance</label>
              <input
                type="number"
                name=""
                id="balance"
                placeholder="$:0.00"
               
              />
              <br /><br />

              <!-- Generate  -->
            </div>
          </div>
        </div>
      </div>
    </div>
    <button type="submit" class="btn btn-danger" id="gen" onclick="gen()">
      Generate
    </button>

    <!-- </form> -->

    <!-- ATM Card ------------------------------ -->

<div class="container-lg mt-4">
  <div class="row">
    <div class="col-lg-6 card-f" ">
    <div class="card-body bg-light rounded-2 border card-fr" style="height: 40vh">
      <div>
        <img src="./pngwing.com.png" id="logo1" alt="" />
      </div>
      <!-- atm number -->
      <div class="container  offset-1" id="AtmNumOut">
        <p id="inp1" type="text">

        </p>
        <img src="./vecteezy_sim-card-clipart-design-illustration_9400645_129.png" alt="" class="logo2">
        <img src="./Mastercard-logo.svg.png" alt="" class="mscrd">
      </div>
      <!-- atm number -->

      <!-- Date -->

      <div class="container offset-1" id="mm">
        <p id="inp2"></p>
        <!-- <h6>/MM</h6> -->
      </div>
      <div class="container offset-1" id="yy">
        <p id="inp3"></p>
        <!-- <h6 class="y">/YY</h6> -->
      </div>
      <!-- Date -->
    </div>
  </div>
  <div class="col-lg-6 card-b ">
    <div class="card-body bg-light rounded-2 border  card-bk" style="height: 40vh">
      <span class="cus">customercare : 004-003-12345</span>
      <p class="url">www.icicibank.com</p>
      <div class="stripCode"></div>
      <div class="container offset-1" id="mm1">
        <p id="inp4">

        </p>
        <h6>/CVV</h6>
      </div>

      <div class="container offset-1" id="mm2">
        <img src="./qr-code-21370.png" class="qr" alt="">
        <h6>$:</h6>
        <p id="inp5"></p>
      </div>
    </div>
  </div>
</div>
</div>

<div class="container-md mt-4">
<div class="row">
  <div class="col col-lg-5">
    <div class="card" style="height: 10vh">
      <div class="card-body">
        <!-- Card number -->
        <label for="AtmNum">WithDraw Amount</label>
        <input
          type="number"
          name="widthdraw"
          placeholder="$:0.00"
          id="wbtn"
          class="card-number-input"
        />
        <br/><br />
        <button
          type="button"
          class="btn btn-primary"
          onclick="withdraw()"
        >
          WithDraw
        </button>

        <br /><br />
       <div class="cbal">
         <span>Balance :</span>
        <p id="inp7" >

        </p>
       
      <!-- <p id="receipt" class="receipt"> -->
        <ol id="list">

        </ol>
   
      </p>
    </div>
      </div>
    </div>
  </div>
</div>
</div>



 </div>
     
    
    <script src="index.js"></script>
  </body>
</html>
